Subject: bug#60015: 29.0.60; multi-line messages truncated in non-selected minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2022 21:20:49 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 12 Dec 2022 20:37:05 +0200
> 
> >> 1. (run-with-timer 5 5 'message "abc\ndef")
> >> 2. then activate the minibuffer and switch back to the original buffer
> >> 3. after some time observe that only the first line of the multi-line message
> >>    is displayed in the minibuffer
> >
> > Doesn't happen here (I waited for 2.5 minutes).  Is the recipe
> > complete and exact?  Does it perhaps matter how do you "switch back to
> > the original buffer"?  (I used a mouse click.)
> 
> It's essential to ensure that the height of the minibuffer/echo area
> initially is not more than 1 line.

That's so by default, so "emacs -Q" should ensure that.  Right?

> > When the problem happens, what do you see in *Messages*?  Anything
> > other that "abc\ndef"?
> 
> Only the first line "abc" is displayed in the minibuffer
> as the minibuffer message.

I asked about the *Messages* buffer, not about the minibuffer.